Bug 951839 - yum autoremove is not documented
yum autoremove is not documented
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-13 13:12 EDT by Kamil Páral
Modified: 2014-01-04 20:25 EST (History)
8 users (show)

See Also:
Fixed In Version: 3.4.3-101
Doc Type: Bug Fix
Doc Text:
Cause: man yum lacked information about autoremove command Consequence: administrators are unaware of its existence leaving that command unusued Fix: 3.4.3-101 version now includes documentation of autoremove command Result: from man yum autoremove With one or more arguments this command works like running the "remove" command with the clean_requirements_on_remove turned on. However you can also specify no arguments, at which point it tries to remove any packages that weren't installed explicitly by the user and which aren't required by anything (so called leaf packages). Because autoremove does a lot of work to make it as easy as pos‐ sible to use, there are also a few specific autoremove commands "autoremove-n", "autoremove-na" and "autoremove-nevra". These only work on package names, and do not process wildcards etc.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-04 20:25:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-04-13 13:12:39 EDT
Description of problem:
"yum autoremove" is the single greatest invention since the discovery of fire. However, I did not know about it and I have never heard about it from anyone else. And I and my colleagues work with yum A LOT.

I learned about it today from this blog post:
http://blog.thefinalzone.net/2013/04/yum-autoremove.html

The reason of my ignorance is that this command is not mentioned in "man yum". Please add it to the manpage. I always envied apt-get that it can automatically remove unneeded dependencies. And no wonder, if we don't advertise it, people can't find out that yum can do it too.

Version-Release number of selected component (if applicable):
yum-3.4.3-54.fc18.noarch
Comment 1 Luya Tshimbalanga 2013-07-20 16:57:43 EDT
The fix is available on Fedora 19 on version 3.4.3-101. It will be nice to port the change to Fedora 18.
Comment 2 Fedora End Of Life 2013-12-21 07:49:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Luya Tshimbalanga 2014-01-04 20:25:34 EST
I am closing this bug report because version 3.4.3-101 and above has documented "yum autoremove" command. From man yum:

autoremove

              With  one  or more arguments this command works like running the
              "remove" command with  the  clean_requirements_on_remove  turned
              on. However you can also specify no arguments, at which point it
              tries to remove any packages that weren't  installed  explicitly
              by  the  user  and  which aren't required by anything (so called
              leaf packages).

              Because autoremove does a lot of work to make it as easy as pos‐
              sible  to use, there are also a few specific autoremove commands
              "autoremove-n", "autoremove-na"  and  "autoremove-nevra".  These
              only work on package names, and do not process wildcards etc.

Taken from man yum version 3.4.3-128 in Fedora 20. In the future, it would be nice if upstream let the reporter testing the fix.

Note You need to log in before you can comment on or make changes to this bug.